curl --request PATCH \
--url https://api.gcore.com/waap/v2/custom-page-sets/{set_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"domains": [
123
],
"block": {
"enabled": true,
"logo": "<string>",
"header": "<string>",
"title": "<string>",
"text": "<string>"
},
"block_csrf": {
"enabled": true,
"logo": "<string>",
"header": "<string>",
"title": "<string>",
"text": "<string>"
},
"captcha": {
"enabled": true,
"logo": "<string>",
"header": "<string>",
"title": "<string>",
"text": "<string>",
"error": "<string>"
},
"cookie_disabled": {
"enabled": true,
"header": "<string>",
"text": "<string>"
},
"handshake": {
"enabled": true,
"logo": "<string>",
"header": "<string>",
"title": "<string>"
},
"javascript_disabled": {
"enabled": true,
"header": "<string>",
"text": "<string>"
},
"name": "<string>"
}
'import requests
url = "https://api.gcore.com/waap/v2/custom-page-sets/{set_id}"
payload = {
"domains": [123],
"block": {
"enabled": True,
"logo": "<string>",
"header": "<string>",
"title": "<string>",
"text": "<string>"
},
"block_csrf": {
"enabled": True,
"logo": "<string>",
"header": "<string>",
"title": "<string>",
"text": "<string>"
},
"captcha": {
"enabled": True,
"logo": "<string>",
"header": "<string>",
"title": "<string>",
"text": "<string>",
"error": "<string>"
},
"cookie_disabled": {
"enabled": True,
"header": "<string>",
"text": "<string>"
},
"handshake": {
"enabled": True,
"logo": "<string>",
"header": "<string>",
"title": "<string>"
},
"javascript_disabled": {
"enabled": True,
"header": "<string>",
"text": "<string>"
},
"name": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domains: [123],
block: {
enabled: true,
logo: '<string>',
header: '<string>',
title: '<string>',
text: '<string>'
},
block_csrf: {
enabled: true,
logo: '<string>',
header: '<string>',
title: '<string>',
text: '<string>'
},
captcha: {
enabled: true,
logo: '<string>',
header: '<string>',
title: '<string>',
text: '<string>',
error: '<string>'
},
cookie_disabled: {enabled: true, header: '<string>', text: '<string>'},
handshake: {enabled: true, logo: '<string>', header: '<string>', title: '<string>'},
javascript_disabled: {enabled: true, header: '<string>', text: '<string>'},
name: '<string>'
})
};
fetch('https://api.gcore.com/waap/v2/custom-page-sets/{set_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": 123,
"domains": [
123
],
"block": {
"enabled": true,
"logo": "<string>",
"header": "<string>",
"title": "<string>",
"text": "<string>"
},
"block_csrf": {
"enabled": true,
"logo": "<string>",
"header": "<string>",
"title": "<string>",
"text": "<string>"
},
"captcha": {
"enabled": true,
"logo": "<string>",
"header": "<string>",
"title": "<string>",
"text": "<string>",
"error": "<string>"
},
"cookie_disabled": {
"enabled": true,
"header": "<string>",
"text": "<string>"
},
"handshake": {
"enabled": true,
"logo": "<string>",
"header": "<string>",
"title": "<string>"
},
"javascript_disabled": {
"enabled": true,
"header": "<string>",
"text": "<string>"
}
}{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}Update a custom page set
Fields with a value are updated, fields set to null are removed, and fields omitted are left unchanged (name cannot be removed). When updating a custom page, include all fields it should have — any field not included is removed.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
The ID of the custom page set
Body
Update a custom page set
List of domain IDs that are associated with this page set
The domain ID
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Name of the custom page set
1 - 50Response
Successful Response
Name of the custom page set
1 - 50The ID of the custom page set
List of domain IDs that are associated with this page set
The domain ID
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?